NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.PressLineSimulation.MountPointBuilder Class Reference

Use this class to mount tools, tooling and parts to interfaces. More...

Inheritance diagram for NXOpen.PressLineSimulation.MountPointBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  GeometrySelectionFilterType { OnlyUnmounted, All }
 Selection filter for mounting bodies. More...
 

Public Member Functions

unsafe string GetLineComponentName ()
 Returns the display names of the press model line component that the mount point is associated with. More...
 
unsafe NXOpen.NXObject[] GetMountedGeometry ()
 Returns the geometry that will be mounted on commit. More...
 
unsafe string GetMountPointName ()
 Returns the display name of the press model mount point. More...
 
unsafe bool MountGeometry (NXOpen.NXObject geometry)
 Adds to the list of geometry that is mounted on commit. More...
 
unsafe bool UnMountGeometry (NXOpen.NXObject geometry)
 Adds to the list of geometry that is unmounted on commit. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.PressLineSimulation.MountPointBuilder.GeometrySelectionFilterType 
SelectionFilter [get, set]
 Returns or sets the geometry selection filter More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Use this class to mount tools, tooling and parts to interfaces.

To create a new instance of this class, use NXOpen.PressLineSimulation.ApplicationManager.CreateMountPointBuilder

Created in NX12.0.0

Member Enumeration Documentation

Selection filter for mounting bodies.

Use this enum in conjunction with PressLineSimulation.MountPointBuilder.SelectionFilter to filter the selectable items that should be mounted.

Enumerator
OnlyUnmounted 

Only bodies that are not mounted can be selected.

All 

Everything can be selected.

Member Function Documentation

unsafe string NXOpen.PressLineSimulation.MountPointBuilder.GetLineComponentName ( )
inline

Returns the display names of the press model line component that the mount point is associated with.

Created in NX12.0.0

License requirements: None.

Returns
unsafe NXOpen.NXObject [] NXOpen.PressLineSimulation.MountPointBuilder.GetMountedGeometry ( )
inline

Returns the geometry that will be mounted on commit.

Created in NX12.0.0

License requirements: None.

Returns
unsafe string NXOpen.PressLineSimulation.MountPointBuilder.GetMountPointName ( )
inline

Returns the display name of the press model mount point.

Created in NX12.0.0

License requirements: None.

Returns
unsafe bool NXOpen.PressLineSimulation.MountPointBuilder.MountGeometry ( NXOpen.NXObject  geometry)
inline

Adds to the list of geometry that is mounted on commit.

Created in NX12.0.0

License requirements: nx_pls_die_checker (" NX Press Die Checker") OR nx_pls_line_setup (" NX Press Line Setup")

Parameters
geometry
Returns
unsafe bool NXOpen.PressLineSimulation.MountPointBuilder.UnMountGeometry ( NXOpen.NXObject  geometry)
inline

Adds to the list of geometry that is unmounted on commit.

Created in NX12.0.0

License requirements: nx_pls_die_checker (" NX Press Die Checker") OR nx_pls_line_setup (" NX Press Line Setup")

Parameters
geometry
Returns

Property Documentation

unsafe NXOpen.PressLineSimulation.MountPointBuilder.GeometrySelectionFilterType NXOpen.PressLineSimulation.MountPointBuilder.SelectionFilter
getset

Returns or sets the geometry selection filter

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_pls_die_checker (" NX Press Die Checker") OR nx_pls_line_setup (" NX Press Line Setup")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.